Class
Fragment
A type for ungapped, pairwise segment matches.

Fragment

ExactFragment | ExactReversableFragment

Fragment<TSize, TSpec>
Include Headers
seqan/refinement.h
Parameters

TSize | The size type of the underlying sequences. Metafunctions: Size
TSpec | The specializing type. Metafunctions: Spec

Specializations

ExactFragment | A type for ungapped, pairwise segment matches.
ExactReversableFragment | A type for ungapped, pairwise segment matches that may be in reverse orientation.

Member Functions

Fragment | Constructor.

Functions

fragmentBegin | Gets the begin position for this fragment or this vertex descriptor in the sequence.
fragmentLength | Gets the length of the label of a given vertex descriptor in the sequence.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
isReversed | Returns true if the segment match is in reverse orientation.
label | Gets the label that is associated with this vertex descriptor or the sequence that is associated with a fragment.
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping.
sequenceId | Gets the sequence id that is associated with this vertex descriptor or with a sequence of a fragment.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45